package esercizio2;

public class Dipendente{

	protected String nome;
	protected String indirizzo;
	protected String telefono;
	protected double stipendio;
	
	public Dipendente() {
		this("","","",0);
	}
	
	public Dipendente(String nome, String indirizzo, String telefono, double stipendio){
		this.nome = nome;
		this.indirizzo = indirizzo;
		this.telefono = telefono;
		this.stipendio = stipendio;
	}
	
	public String getNome() {
		return nome;
	}

	public String getIndirizzo() {
		return indirizzo;
	}

	public String getTelefono() {
		return telefono;
	}

	/*
	 * l'implementazione dipende dalla specifica sottoclasse e
	 * verr riscritto nella classe figlia
	 */
	public double getPaga(){
		return stipendio;
	}

	@Override
	public String toString() {
		String s = "";
		s += "Nome: "+nome+"\n";
		s += "Indirizzo: "+indirizzo+"\n";
		s += "Telefono: "+telefono+"\n";
		s += "Stipendio: "+stipendio+"\n";
		return s;
	}
}
