package esercizio2;

public class BustaPaga {

	private static int progressivo=1;
	
	private String id;
	private Dipendente dipendente;
	private String data;
	private double importo;
	
	public BustaPaga() {
		this(null,"");
	}
	
	public BustaPaga(Dipendente dipendente, String data) {
		this.dipendente = dipendente;
		this.data = data;
		this.id = data + "-" + progressivo++;
		this.importo = dipendente.getPaga();
	}
	
	@Override
	public String toString() {
		String s = "";
		s += "Id: " + id + "\n";
		s += "Data: " + data + "\n";
		s += "Dipendente:\n " + dipendente; // l'andata a capo  gi prevista nel metodo toString() di dipendente
		s += "Importo: " + importo +"\n";
		return s;
	}
	
}
